summaryrefslogtreecommitdiff
path: root/qa/173
diff options
context:
space:
mode:
Diffstat (limited to 'qa/173')
-rwxr-xr-xqa/17351
1 files changed, 51 insertions, 0 deletions
diff --git a/qa/173 b/qa/173
new file mode 100755
index 0000000..a58717f
--- /dev/null
+++ b/qa/173
@@ -0,0 +1,51 @@
+#! /bin/sh
+# PCP QA Test No. 173
+# variant on 171 for bogus "No values" for pmchart from a log
+#
+# Copyright (c) 1995-2002 Silicon Graphics, Inc. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard environment, filters and checks
+. ./common.product
+. ./common.filter
+. ./common.check
+
+if [ $PCP_VER -lt 3600 ]
+then
+ # V1 archives supported
+ arch=src/bug
+ pmns="-n src/root_irix"
+else
+ # no support for V1 archives
+ arch=src/bug_v2
+ pmns=
+fi
+
+trap "rm -f $tmp.*; exit 0" 0 1 2 3 15
+
+# deal with an annoying libc error ... using TZ=:Australia/Melbourne
+# causes the -z option to report the wrong time, at least for some
+# times of the year
+#
+TZ=EST-10
+export TZ
+
+# real QA test starts here
+
+# need -n src/root_irix 'cause app looks up some metrics not in the
+# archive
+#
+src/interp_bug2 -n src/root_irix -t 0.5 -a $arch
+status=$?
+
+if [ $status != 0 ]
+then
+ echo
+ echo "Error ... here is the log"
+ pmdumplog $pmns -a $arch
+fi
+
+exit $status